<html>
<head>
<title>OgreGLESDepthBuffer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESDepthBuffer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESDepthBuffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __GLESDepthBuffer_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __GLESDepthBuffer_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESPrerequisites_8h.html">OgreGLESPrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESHardwarePixelBuffer_8h.html">OgreGLESHardwarePixelBuffer.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESRenderSystem_8h.html">OgreGLESRenderSystem.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreDepthBuffer_8h.html">OgreDepthBuffer.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre 
<a name="l00037"></a>00037 {
<a name="l00049"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html">00049</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1GLESDepthBuffer.html">GLESDepthBuffer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>
<a name="l00050"></a>00050     {
<a name="l00051"></a>00051     <span class="keyword">public</span>:
<a name="l00052"></a>00052         <a class="code" href="classOgre_1_1GLESDepthBuffer.html#a1f74fd603bde62bf97a899441286d4e6">GLESDepthBuffer</a>( <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> poolId, <a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a> *renderSystem, <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *creatorContext,
<a name="l00053"></a>00053                         <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a> *depth, <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a> *stencil,
<a name="l00054"></a>00054                         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> width, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> height, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> fsaa, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> multiSampleQuality,
<a name="l00055"></a>00055                         <span class="keywordtype">bool</span> <a class="code" href="group__RenderSystem.html#ga71910f006c803f2e45b8c11a89f67a64">isManual</a> );
<a name="l00056"></a>00056         <a class="code" href="classOgre_1_1GLESDepthBuffer.html#a85cf240c2dd5e1ebda5fd8250f59b23e">~GLESDepthBuffer</a>();
<a name="l00057"></a>00057 
<a name="l00059"></a>00059         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESDepthBuffer.html#a86ad112171c3f7fb260c62bf12a6f17d">isCompatible</a>( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *renderTarget ) <span class="keyword">const</span>;
<a name="l00060"></a>00060 
<a name="l00061"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#adb85f9ec5ecdeddb7910819ea612210d">00061</a>         <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a>* <a class="code" href="classOgre_1_1GLESDepthBuffer.html#adb85f9ec5ecdeddb7910819ea612210d">getGLContext</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1GLESDepthBuffer.html#aae246be6f03365a688bed7edc7429f61">mCreatorContext</a>; }
<a name="l00062"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#a44eb1005a645ef2032525806ef9fae59">00062</a>         <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a>* <a class="code" href="classOgre_1_1GLESDepthBuffer.html#a44eb1005a645ef2032525806ef9fae59">getDepthBuffer</a>()<span class="keyword"> const  </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1GLESDepthBuffer.html#ad46057e1ac0cf86b98e20ab2e559d1a7">mDepthBuffer</a>; }
<a name="l00063"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#a9d5085dd103f35ebd8513b236d415ca9">00063</a>         <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a>* <a class="code" href="classOgre_1_1GLESDepthBuffer.html#a9d5085dd103f35ebd8513b236d415ca9">getStencilBuffer</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1GLESDepthBuffer.html#afaac0ba8d4357b424c6932537b7b7d16">mStencilBuffer</a>; }
<a name="l00064"></a>00064 
<a name="l00065"></a>00065     <span class="keyword">protected</span>:
<a name="l00066"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#af5969ec56748a1a0c64498d3911421fc">00066</a>         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>                      <a class="code" href="classOgre_1_1GLESDepthBuffer.html#af5969ec56748a1a0c64498d3911421fc">mMultiSampleQuality</a>;
<a name="l00067"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#aae246be6f03365a688bed7edc7429f61">00067</a>         <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a>                 *<a class="code" href="classOgre_1_1GLESDepthBuffer.html#aae246be6f03365a688bed7edc7429f61">mCreatorContext</a>;
<a name="l00068"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#ad46057e1ac0cf86b98e20ab2e559d1a7">00068</a>         <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a>            *<a class="code" href="classOgre_1_1GLESDepthBuffer.html#ad46057e1ac0cf86b98e20ab2e559d1a7">mDepthBuffer</a>;
<a name="l00069"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#afaac0ba8d4357b424c6932537b7b7d16">00069</a>         <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a>            *<a class="code" href="classOgre_1_1GLESDepthBuffer.html#afaac0ba8d4357b424c6932537b7b7d16">mStencilBuffer</a>;
<a name="l00070"></a><a class="code" href="classOgre_1_1GLESDepthBuffer.html#a7089e7a91f306ef426a69f319b76dafc">00070</a>         <a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a>            *<a class="code" href="classOgre_1_1GLESDepthBuffer.html#a7089e7a91f306ef426a69f319b76dafc">mRenderSystem</a>;
<a name="l00071"></a>00071     };
<a name="l00072"></a>00072 }
<a name="l00073"></a>00073 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
